#!/usr/bin/perl
#
# ALLEGRO_SCAN_START.PL
# Start script for genome wide Allegro run with sets of SNPs
# (c) 2004 Franz Rueschendorf 

use Cwd;
use strict;
use File::Copy;
use File::Basename;

my @files=();
my $set=0;

# foreach my $chr ("02") {	# edit and uncomment this line to calculate one chromosome

foreach my $chr ("01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24") {
	if ( -d "c$chr") {
		
		chdir "c${chr}";
		print "Chromosome $chr\n";
		if (-f "allegro.log") {unlink "allegro.log";}
		if ( ! -d "SWAPDIR") {mkdir ("SWAPDIR",0777);}
		$set=0;
		@files=glob("datain_*.${chr}");
		$set=@files;
		
		foreach my $i ( 1..$set) {	
			open (OUT,">allegro.in") || die "could not open allegro.in :$!\n";
			print OUT "PREFILE pedin_${i}.$chr\n"; 
			print OUT "DATFILE datain_${i}.$chr\n";
			print OUT "MODEL mpt par het param_mpt_${i}.$chr\n";
#			print OUT "MODEL mpt exp pairs equal exppairs_mpt_${i}.$chr\n";
#			print OUT "MODEL mpt lin all equal linall_mpt_${i}.$chr\n";
			print OUT "MODEL mpt exp homoz equal exphomoz_mpt_${i}.$chr\n";
			print OUT "MAXMEMORY 1000\n";
			print OUT "SWAPDIRNAME SWAPDIR\n";
			print OUT "HAPLOTYPE haplo_${i}.$chr ihaplo_${i}.$chr founder_${i}.$chr inher_${i}.$chr\n";
			close (OUT);

			system ("allegro allegro.in");
			my $logf="allegro_${i}.log";
			move ("allegro.log",$logf); 
		}
		system ("del SWAPDIR");
		chdir  ".." ;
	}
	else {
		print "no chromosome $chr\n";
	}
}
