#!/usr/bin/perl

# Start script for genome wide Merlin scan, chromosome by chromosome, no moving window 
# (c) 2004 Franz Rueschendorf 

# usage: perl merlin_start.pl

use Cwd;
use strict;

my $command="";
my $prog="merlin";

# foreach my $chr ("01"){		# use this line when one or some chromosomes should be calculated

foreach my $chr ("01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24") {
	if ( -d "c$chr") {
		
		chdir "c${chr}";
		print "Calculate chromosome $chr\n";

#----------------- modify genetic model here  -------------#
		open (OUT,"> param.tbl") || die "could not open param.tbl :$!\n";
#		print OUT "TRAIT   0.0010 0.00,1.00,1.00 Common_Dominant\n";
		print OUT "TRAIT   0.0001 0.00,0.00,1.00 Common_Recessive\n";
		close (OUT);
#--------------------- end genetic model ------------------#

		if (-f "merlin.chr") {unlink "merlin.chr";}
		if (-f "merlin.out") {unlink "merlin.out";}
		unlink glob("wiped.*");
		
		if ($chr == 23) {$prog = "minx";} else {$prog = "merlin";}

#------------- modify merlin commands here ----------------#

		# non-parametric and parametric
		$command = "$prog -d datain.$chr -p pedin.$chr -m merlin_map.$chr --quiet --error --npl --best --model > merlin.out";	# non-parametric and parametric

#		$command = "$prog -d datain.$chr -p pedin.$chr -m merlin_map.$chr --npl  --grid 2 --cluster snp-scan.clusters > merlin.out";
		system ("$command");

		# modeling LD
#		$command = "$prog -d datain.$chr -p pedin.$chr -m merlin_map.$chr --npl  --grid 2 --rsq 0.2 --cfreq > rsq0.2_merlin.out";	# modeling LD
#		system ("$command");


		$command = "pedwipe -d datain.$chr -p pedin.$chr";
		system ("$command");
		$command = "$prog -d wiped.dat -p wiped.ped -m wiped.map -f wiped.freq --best --quiet --npl  > wiped.out";
		system ("$command");
		
#--------------------- end edit merlin commands -----------------#

		chdir  ".." ;
	}
}
